Commits

Artem Melentyev committed cf224ba

switch to maven-compiler-plugin v2.5.1 because MCOMPILER-135/62 was fixed.

Comments (0)

Files changed (2)

           <!-- Compiler configuration -->
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-compiler-plugin</artifactId>
-          <version>2.3.2-fix62</version> <!-- corrected 2.3.2 version for support multiple compiler args -->
+          <version>2.5.1</version>
           <configuration>
             <!-- Annotation processing works only on JDK 1.6+ -->
             <source>1.7</source>
             <!-- Show warnings produced by juast -->
             <showWarnings>true</showWarnings>
             <!-- juast configuration -->
-            <compilerArgument>
-              -Avcs=git
-              -Ajuast.process=juast.processors.SystemOutPrintlnProcessor,juast.processors.EnsureCloseProcessor,juast.processors.OperatorOverload,juast.processors.EnsureCharSet,juast.processors.SafeProcessor,juast.processors.VCSProcessor
-            </compilerArgument>
+            <compilerArguments>
+              <Avcs>git</Avcs>
+              <Ajuast.process>juast.processors.SystemOutPrintlnProcessor,juast.processors.EnsureCloseProcessor,juast.processors.OperatorOverload,juast.processors.EnsureCharSet,juast.processors.SafeProcessor,juast.processors.VCSProcessor</Ajuast.process>
+            </compilerArguments>
           </configuration>
         </plugin>
       </plugins>
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-compiler-plugin</artifactId>
-          <version>2.3.2-fix62</version>
+          <version>2.5.1</version>
           <configuration>
             <source>1.7</source>
             <target>1.7</target>